org.eclipse.jetty.websocket

## Interface WebSocket

All Known Subinterfaces:
  WebSocket.OnBinaryMessage, WebSocket.OnControl, WebSocket.OnFrame, WebSocket.OnTextMessage

    public interface WebSocket

WebSocket Interface.

This interface provides the signature for a server-side end point of a websocket connection. The Interface has several nested interfaces, for each type of message that may be received.

### Nested Class Summary

Nested Classes
`static interface` `WebSocket.Connection` A Connection interface is passed to a WebSocket instance via the `onOpen(Connection)` to give the application access to the specifics of the current connection.
`static interface` `WebSocket.FrameConnection` Frame Level Connection
`static interface` `WebSocket.OnBinaryMessage` A nested WebSocket interface for receiving binary messages
`static interface` `WebSocket.OnControl` A nested WebSocket interface for receiving control messages
`static interface` `WebSocket.OnFrame` A nested WebSocket interface for receiving any websocket frame
`static interface` `WebSocket.OnTextMessage` A nested WebSocket interface for receiving text messages

### Method Summary

Methods
`void` `onClose(int closeCode, String message)` Called when an established websocket connection closes
`void` `onOpen(WebSocket.Connection connection)` Called when a new websocket connection is accepted.

### Method Detail

#### onOpen

    void onOpen(WebSocket.Connection connection)

Called when a new websocket connection is accepted.

Parameters:
  `connection` - The Connection object to use to send messages.

#### onClose

    void onClose(int closeCode,
               String message)

Called when an established websocket connection closes

Parameters:
  `closeCode` -
  `message` -